---
title: "Get all projects for given customer"
slug: "get-all-projects-for-given-customer"
updated: 2026-01-09T07:50:19Z
published: 2026-01-09T07:50:35Z
canonical: "products.egfabri.cloud/get-all-projects-for-given-customer"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://products.egfabri.cloud/llms.txt
> Use this file to discover all available pages before exploring further.
# Get all projects for given customer
Get/Customerprojectservice/api/customers/{customerId}/projects
Fetch all projects for given customer.
Path parameterscustomerIdobjectRequired
Customer ID
Query parameterspageableRequiredobject pageinteger (int32) Minimum1Maximum100
sizeinteger (int32) Minimum1Maximum100
Responses200
Paged list of customer projects
Expand Allobject data Array of object (Customerprojectservice_ProjectDTO) object projectIdstring
Customer project id.
Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$ExampleCP-2024-1001
customerIdstring
Customer id.
Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$ExampleCP-1001
projectNamestring
Full name of the customer project.
Min length1Max length100ExampleHarbor Bridge Renovation
contactInformationstring
Contact information.
Min length0Max length200ExampleContact via email or phone
externalIds Array of object (Customerprojectservice_ExternalId)
List of external project numbers.
Min items0Max items30object
External identifier from an external system.
systemstring
The external system name (e.g., NX).
Min length1Max length20ExampleNX
idstring
The identifier in the external system.
Min length1Max length100ExampleXYZ123
glnNumberstring
GLN (Global Location Number). Max 13 characters.
Min length0Max length13Pattern^[0-9]*$Example5790001234567
phonestring
Phone number. Max 11 characters.
Min length0Max length11Pattern^\+?[0-9]+$Example+4512345678
mobilestring
Mobile number. Max 11 characters.
Min length0Max length11Pattern^\+?[0-9]+$Example+4587654321
emailstring
Email address. Max 50 characters.
Min length0Max length50Pattern^[^@]+@[^@]+\.[^@]+$Exampleproject@example.com
addressobject (Customerprojectservice_Address)
Address details.
namestring
Name of the address location.
Min length1Max length100ExampleMain Office
drivingDescriptionstring
Driving directions or description.
Min length0Max length200ExampleEnter through the back gate
address1string
Address line 1.
Min length0Max length30ExampleMain Street 123
address2string
Address line 2.
Min length0Max length30ExampleBuilding B, 2nd floor
postalCodestring
Postal code.
Min length0Max length10Example1000
citystring
City name.
Min length0Max length30ExampleCopenhagen
countrystring
Country name.
Min length0Max length50ExampleDenmark
salesPersonobject (Customerprojectservice_SalesPerson)
Salesperson details.
codestring
Salesperson code.
Min length1Max length30ExampleSP001
namestring
Salesperson name.
Min length1Max length100ExampleJohn Doe
contactPersonobject (Customerprojectservice_ContactPerson)
Contact person details.
contactPersonIdstring
Contact person identifier.
Min length1Max length30ExampleCP001
siteobject (Customerprojectservice_ProjectSite)
Project site details.
apartmentstring
Apartment number.
Min length0Max length50Example3A
entrancestring
Entrance.
Min length0Max length50ExampleMain entrance
floorstring
Floor number.
Min length0Max length50Example2
housestring
House number.
Min length0Max length50Example123
roomstring
Room number.
Min length0Max length50Example201
positionstring
Position on site.
Min length0Max length100ExampleNorth wing
loadingZonestring
Loading zone.
Min length0Max length100ExampleZone A
loadingInstructionstring
Loading instructions.
Min length0Max length200ExampleUse loading dock 3
enabledboolean
Indicates if the site is enabled.
Exampletrue
externalReferencestring
External reference.
Min length0Max length30ExampleREF-001
fromDatestring (date-time)
Project start date.
toDatestring (date-time)
Project end date.
lastOrderDatestring (date-time)
Last order date.
pageobject (Customerprojectservice_PageDTO) totalElementsinteger (int64) Minimum0Maximum1000000
currentPageinteger (int32) Minimum1Maximum100
pageSizeinteger (int32) Minimum1Maximum100
401
HTTP Unauthorized
object timestampstring (date-time)
statusinteger (int32)
errorstring
pathstring
500
HTTP Internal Server Error
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerprojectservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200